math/p5-Number-Tolerant - The NetBSD Packages Collection

Perl5 module for tolerance ranges for inexact numbers

Number::Tolerant creates a number-like object whose value refers to a
range of possible values, each equally acceptable. It overloads
comparison operations to reflect this.

I use this module to simplify the comparison of measurement results to
specified tolerances.

    reject $product unless $measurement == $specification;

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Sub-Exporter lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Number-Tolerant-1.708nb4.tgz
NetBSD 8.0earmv7hfp5-Number-Tolerant-1.708nb4.tgz
NetBSD 8.0earmv7hfp5-Number-Tolerant-1.708nb4.tgz
NetBSD 8.0i386p5-Number-Tolerant-1.708nb4.tgz
NetBSD 8.0i386p5-Number-Tolerant-1.708nb4.tgz
NetBSD 8.0powerpcp5-Number-Tolerant-1.708nb4.tgz
NetBSD 8.0powerpcp5-Number-Tolerant-1.708nb4.tgz
NetBSD 8.0powerpcp5-Number-Tolerant-1.708nb4.tgz
NetBSD 8.0x86_64p5-Number-Tolerant-1.708nb4.tgz
NetBSD 8.0x86_64p5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0aarch64p5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0aarch64p5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0aarch64p5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0alphap5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0alphap5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0alphap5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0earmp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0earmp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0earmp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0earmv6hfp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0earmv6hfp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0earmv6hfp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0earmv6hfp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0earmv7hfp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0earmv7hfp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0earmv7hfp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0earmv7hfp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0i386p5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0i386p5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0mips64ebp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0mips64ebp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0mips64ebp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0mipselp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0mipselp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0powerpcp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0powerpcp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0sh3elp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0sh3elp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0sparc64p5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0sparc64p5-Number-Tolerant-1.708nb3.tgz
NetBSD 9.0sparc64p5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0sparc64p5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0sparcp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0sparcp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0sparcp5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0x86_64p5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0x86_64p5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0x86_64p5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0x86_64p5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0x86_64p5-Number-Tolerant-1.708nb4.tgz
NetBSD 9.0x86_64p5-Number-Tolerant-1.708nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.